Bug 103765 - [PATCH] emulators/klh10: fix build with gcc41
[PATCH] emulators/klh10: fix build with gcc41
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 17:40 UTC by trasz
Modified: 2006-10-31 08:20 UTC (History)
1 user (show)

See Also:


Attachments
klh10-2.0a.patch (1.11 KB, patch)
2006-09-28 17:40 UTC, trasz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description trasz 2006-09-28 17:40:27 UTC
Fix build with gcc41, see
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.7.2006092721/klh10-2.0a.log.
Also fix makefile to respect $CC.

Added file(s):
- files/patch-src-Makefile.mk
- files/patch-src-kn10ops.c

Port maintainer (kstailey@yahoo.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-09-28 17:40:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Martin Wilke freebsd_committer 2006-10-05 09:44:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 dfilter freebsd_committer 2006-10-31 08:11:23 UTC
miwi        2006-10-31 08:11:17 UTC

  FreeBSD ports repository

  Added files:
    emulators/klh10/files patch-src-Makefile.mk 
                          patch-src-kn10ops.c 
  Log:
  - Fix build with gcc4.1
  
  PR:             ports/103765
  Submitted by:   trasz <trasz@pin.if.uz.zgora.pl>
  
  Revision  Changes    Path
  1.1       +10 -0     ports/emulators/klh10/files/patch-src-Makefile.mk (new)
  1.1       +11 -0     ports/emulators/klh10/files/patch-src-kn10ops.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2006-10-31 08:11:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!